<?php
#ETIQUETA
			
if(isset($_POST['salvar_etiqueta'])) {
$nome			=	$_POST['nome'];
$ordem		=	$_POST['ordem'];
if($_FILES['foto']['name'] === ""){
	$destino2 = "";
} else {
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".png";
	$destino		=	"../images/etiquetas/".$arquivo2;
	$destino2		=	$arquivo2;	

}
$status			=	$_POST['status'];

$insert	= "INSERT INTO tb_etiquetas (nome, imagem, ordem, status) VALUES ('$nome', '$destino2', $ordem, $status)";
if($query	= mysql_query($insert)){
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
	}

	echo "<p class='return-form'> Etiqueta cadastrada.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
	
#DELETAR ETIQUETA

if(isset($_GET['deleti'])) {

$delcod			=	$_GET['deleti'];
$select			=  "SELECT * FROM tb_etiquetas WHERE cod = $delcod";
$querysel			=	mysql_query($select);
$sqlsel			=	mysql_fetch_array($querysel);

if($sqlsel['imagem'] <> ""){
unlink("../images/etiquetas/".$sqlsel['imagem']);	 
}

$delete 			= "DELETE FROM tb_etiquetas WHERE cod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

echo "<p class='return-form'>Etiqueta excluida.</p>";
	
}


#EDITAR ETIQUETA
if(isset($_POST['editar_etiqueta'])){

$cod			=	$_POST['cod'];	
$nome			=	$_POST['nome'];
$ordem		=	$_POST['ordem'];
if($_FILES['foto']['name'] === ""){
	$destino2 = $_POST['foto2'];
} else {	
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".png";
	$destino		=	"../images/etiquetas/".$arquivo2;
	$destino2		=	$arquivo2;	

}
$status			=	$_POST['status'];

$update	= "UPDATE tb_etiquetas SET nome = '$nome', ordem = $ordem, imagem = '$destino2', status = $status WHERE cod = $cod";
echo mysql_error();
if($queryupdate	=	mysql_query($update)){
	
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		if($_POST['foto2'] <> ""){
			unlink("../images/etiquetas/".$_POST['foto2']);
		}
	}
	
	echo "<p class='return-form'>Etiqueta alterada.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao editar. Informe o erro ao programador: <br />".mysql_error()."</p>"; 
	
} }
?>